Subject: Re: bug#13387: emacsclient -t suspends emacs

From: Dan Nicolaescu <[email-masked]>
Date: Sun, 13 Jan 2013 15:08:10 -0500

Andreas Schwab <[email-masked]> writes:

> Dan Nicolaescu <[email-masked]> writes:
>
>> it replaces setpgid (pid, pid) with setpgid (0, 0) on GNU/Linux.
>
> Both do exactly the same.

BTW, I think you maintain the git mirror.  I first tried to used git
bisect to find the origin of this issue, and could now.
Now that the bad commit has been identified I tried to use git bisect again to
see if it can find it.

I set the good version to be the one before the problem commit, and then
run 
git bisect bad
git bisect bad
git bisect bad
[etc]

It should have stopped and the bad commit, instead it stopped at a different commit.

Am I doing something wrong? Is there's a problem in the repository?
Here's what
git bisect log
says:

git bisect start
# bad: [61e4ca21b70beb2a0402d2afb0c33855097f7612] * lisp/files.el (auto-mode-alist): Use doc-view for djvu files. * lisp/doc-view.el (doc-view-document->bitmap): Use doc-view-single-page-converter-function instead of single-page-converter arg; adjust callers.
git bisect bad 61e4ca21b70beb2a0402d2afb0c33855097f7612
# good: [56985d81b48ffa443e4603de84d8856325aa56f1] Remove EMACS_OUTQSIZE+sleep hack.
git bisect good 56985d81b48ffa443e4603de84d8856325aa56f1
# bad: [9e1ba9c2b816823aa8982fb5ba1fa7bc8171bb71] Merge from emacs-24; up to r110999
git bisect bad 9e1ba9c2b816823aa8982fb5ba1fa7bc8171bb71
# skip: [8c4a99947a3f0ca54e80c57497c203d99089767c] Add a menu for profiler report mode
git bisect skip 8c4a99947a3f0ca54e80c57497c203d99089767c
# bad: [8c4a99947a3f0ca54e80c57497c203d99089767c] Add a menu for profiler report mode
git bisect bad 8c4a99947a3f0ca54e80c57497c203d99089767c
# bad: [751637b60f8f64f95c56f671ccbcdd4ee26fb99e] Merge from emacs-24; up to r110855
git bisect bad 751637b60f8f64f95c56f671ccbcdd4ee26fb99e
# bad: [605f7ff983481998e7d08a1d5959da9ea549164e] * lisp/emacs-lisp/gv.el (gv-define-simple-setter): One more fix.
git bisect bad 605f7ff983481998e7d08a1d5959da9ea549164e
# bad: [b0dd821ad4952755f440d998643c9966a00404a5] Rewrite and rename diff-delete-trailing-whitespace.
git bisect bad b0dd821ad4952755f440d998643c9966a00404a5
# bad: [c703fb479c0007a198f0b6cdea6e66f2c84b2b31] * lisp/emacs-lisp/gv.el (gv-define-simple-setter): Don't evaluate `val' twice when `fix-return' is set.
git bisect bad c703fb479c0007a198f0b6cdea6e66f2c84b2b31
# bad: [2e14f71abbac30fe01117cd352393ee8d361f9f6] * lisp/woman.el (woman-decode-region): Disable adaptive-fill when rendering.
git bisect bad 2e14f71abbac30fe01117cd352393ee8d361f9f6
# bad: [20060d7c16723e43aa3a1c260e9d3b9054c069a0] * frames.texi (Initial Parameters): Doc fix.
git bisect bad 20060d7c16723e43aa3a1c260e9d3b9054c069a0
# bad: [1ce467b17adbab9db6d87dfc427b42330cc3d38b] Auto-commit of loaddefs files.
git bisect bad 1ce467b17adbab9db6d87dfc427b42330cc3d38b
# bad: [51747530361f3eb823040f5e011cb6569153f7f6] Auto-commit of loaddefs files.
git bisect bad 51747530361f3eb823040f5e011cb6569153f7f6
# bad: [51747530361f3eb823040f5e011cb6569153f7f6] Auto-commit of loaddefs files.
git bisect bad 51747530361f3eb823040f5e011cb6569153f7f6